Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Class OfflineMessage

    java.lang.Object
      org.xmpp.packet.Packet
          org.xmpp.packet.Message
              org.jivesoftware.openfire.OfflineMessage

    public class OfflineMessage

extends Message

Subclass of Message that keeps the date when the offline message was stored in the database. The creation date and the user may be used as a unique identifier of the offline message.

Author:
  Gaston Dombiak

Nested Class Summary

Nested classes/interfaces inherited from class org.xmpp.packet.Message
`Message.Type`

Field Summary

Fields inherited from class org.xmpp.packet.Packet
`docFactory, element, fromJID, toJID`

Constructor Summary
`OfflineMessage(Date creationDate, org.dom4j.Element element)`

Method Summary
`Date` | `getCreationDate()` Returns the date when the offline message was stored in the database.

Methods inherited from class org.xmpp.packet.Message
`addChildElement, createCopy, getBody, getChildElement, getSubject, getThread, getType, setBody, setSubject, setThread, setType`

Methods inherited from class org.xmpp.packet.Packet
`addExtension, deleteExtension, getElement, getError, getExtension, getFrom, getID, getTo, setError, setError, setFrom, setFrom, setID, setTo, setTo, toString, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OfflineMessage

    public OfflineMessage(Date creationDate,
                          org.dom4j.Element element)

Method Detail

### getCreationDate

    public Date getCreationDate()

  Returns the date when the offline message was stored in the database.

  Returns:
    the date the offline message was stored.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.